/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package kalkulackazapouzdrena;

/**
 *
 * @author Dana Nejedlová <dana.nejedlova at tul.cz>
 */
abstract class FunkceDvaOperandy extends FunkceKalkulacky {

    private final String nazevOperandu1;
    private final String nazevOperandu2;
    private double operand1;
    private double operand2;

    public FunkceDvaOperandy(String nazevFunkce, String operator, String nazevOperandu1, String nazevOperandu2) {
        super(nazevFunkce, operator);
        this.nazevOperandu1 = nazevOperandu1;
        this.nazevOperandu2 = nazevOperandu2;
    }

    public String getNazevOperandu1() {
        return nazevOperandu1;
    }

    public String getNazevOperandu2() {
        return nazevOperandu2;
    }

    public double getOperand1() {
        return operand1;
    }

    public double getOperand2() {
        return operand2;
    }

    @Override
    public void vstup() {
        operand1 = VstupyVystupy.zadejRealneCislo("Zadej " + nazevOperandu1 + ": ");
        operand2 = VstupyVystupy.zadejRealneCislo("Zadej " + nazevOperandu2 + ": ");
    }

    @Override
    public void vystup(double vysledek) {
        String text = operand1 + " " + getOperator() + " " + operand2 + " = " + vysledek;
        System.out.println(text);
        KalkulackaZapouzdrena.getSoubor().println(text);
    }
}