/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package kalkulackazapouzdrena;

/**
 *
 * @author Dana Nejedlová <dana.nejedlova at tul.cz>
 */
abstract class FunkceJedenOperand extends FunkceKalkulacky {

    private final String nazevOperandu1;
    private double operand1;

    public FunkceJedenOperand(String nazevFunkce, String operator, String nazevOperandu1) {
        super(nazevFunkce, operator);
        this.nazevOperandu1 = nazevOperandu1;
    }

    public String getNazevOperandu1() {
        return nazevOperandu1;
    }

    public double getOperand1() {
        return operand1;
    }

    @Override
    public void vstup() {
        operand1 = VstupyVystupy.zadejRealneCislo("Zadej " + nazevOperandu1 + ": ");
    }

    @Override
    public void vystup(double vysledek) {
        String text = getOperator() + "(" + operand1 + ") = " + vysledek;
        System.out.println(text);
        KalkulackaZapouzdrena.getSoubor().println(text);
    }
}