/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package kalkulackazapouzdrena;

import java.io.*;

/**
 *
 * @author Dana Nejedlová <dana.nejedlova at tul.cz>
 */
public class KalkulackaZapouzdrena {

    private static PrintWriter soubor;
    
    public static PrintWriter getSoubor() {
        return soubor;
    }

    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        final String SOUBOR = "vystup.txt";
        final int KONEC = 0;
        int volba;
        FunkceKalkulacky[] poleFunkci = {
            new Scitani(),
            new Odcitani(),
            new Nasobeni(),
            new Deleni(),
            new Mocnina(),
            new Sinus(),
            new Cosinus()
        };
        try {
            soubor = new PrintWriter(new FileWriter(SOUBOR, true));
            do {
                System.out.println(KONEC + "\tKonec");
                for (int i = 1; i <= poleFunkci.length; i++) {
                    System.out.println(i + "\t" + poleFunkci[i - 1].getNazevFunkce());
                }
                volba = VstupyVystupy.zadejCeleCislo("Zadej číslo funkce: ");
                if (volba == KONEC) {
                    System.out.println("Program skončil.");
                    System.out.println("Výpočty jsou v souboru " + SOUBOR + ".");
                } else if (volba > KONEC && volba <= poleFunkci.length) { // polymorfismus
                    System.out.println(poleFunkci[volba - 1].getNazevFunkce());
                    poleFunkci[volba - 1].vstup();
                    poleFunkci[volba - 1].vystup(poleFunkci[volba - 1].vypocet());
                } else {
                    System.out.println("Zadej číslo mezi " + KONEC + " a " + poleFunkci.length + ":");
                }
            } while (volba != KONEC);
            soubor.close();
        } catch (IOException e) {
            System.out.println("Chyba v práci se souborem " + SOUBOR + ".");
        }
    }
}