/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package kalkulackazapouzdrena;

/**
 *
 * @author Dana Nejedlová <dana.nejedlova at tul.cz>
 */
abstract class FunkceKalkulacky {
    
    private final String nazevFunkce;
    private final String operator;
    private double vysledek;

    public FunkceKalkulacky(String nazevFunkce, String operator) {
        this.nazevFunkce = nazevFunkce;
        this.operator = operator;
    }

    public String getNazevFunkce() {
        return nazevFunkce;
    }

    public String getOperator() {
        return operator;
    }

    public double getVysledek() {
        return vysledek;
    }

    public abstract void vstup();

    public abstract double vypocet();

    public abstract void vystup(double vysledek);
}